Bug 474995 - Turning on Desktop Effects gives white screen on Intel 855GM
Turning on Desktop Effects gives white screen on Intel 855GM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 09:08 EST by Uno Engborg
Modified: 2009-09-21 10:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-21 10:34:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of glxinfo (7.18 KB, text/plain)
2008-12-06 09:10 EST, Uno Engborg
no flags Details
/etc/X11/xorg.conf (798 bytes, text/plain)
2008-12-06 09:12 EST, Uno Engborg
no flags Details
Output of xdpyinfo (2.77 KB, text/plain)
2008-12-06 09:13 EST, Uno Engborg
no flags Details
Xorg log (77.58 KB, text/plain)
2008-12-06 09:14 EST, Uno Engborg
no flags Details
Xorg.setup.log (1.93 KB, text/plain)
2008-12-06 09:15 EST, Uno Engborg
no flags Details
Output of lsmod (2.54 KB, text/plain)
2008-12-06 09:16 EST, Uno Engborg
no flags Details

  None (edit)
Description Uno Engborg 2008-12-06 09:08:07 EST
Description of problem:

When turning on "Desktop effects" the screen goes white on intel 855GM (Thinkpad R50e).


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.In gnome "System"->"Preferences"->"Look and Feel"->"Desktop Effects"
2.In the "Desktop Effects" dialog presss "Enable Desktop"
3.
  
Actual results:
The screen goes white

Expected results:
A nice compiz desktop with dropshadows and other cool stuff, like it was in Fedora 9 and earlier.

Additional info:

Output of lspci contains the following line:
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

I have attached the output of glxinfo. When running glxinfo you also get the following error:

[intel_init_bufmgr:592] Error initializing buffer manager.
Comment 1 Uno Engborg 2008-12-06 09:10:51 EST
Created attachment 325993 [details]
Output of glxinfo

Running glxinfo also produces the following errer:
[intel_init_bufmgr:592] Error initializing buffer manager.
Comment 2 Uno Engborg 2008-12-06 09:12:22 EST
Created attachment 325994 [details]
/etc/X11/xorg.conf
Comment 3 Uno Engborg 2008-12-06 09:13:27 EST
Created attachment 325995 [details]
Output of xdpyinfo
Comment 4 Uno Engborg 2008-12-06 09:14:40 EST
Created attachment 325996 [details]
Xorg log
Comment 5 Uno Engborg 2008-12-06 09:15:42 EST
Created attachment 325997 [details]
Xorg.setup.log
Comment 6 Uno Engborg 2008-12-06 09:16:44 EST
Created attachment 325998 [details]
Output of lsmod
Comment 7 Dave Airlie 2008-12-08 22:17:34 EST
please update to the latest mesa/kernel/xorg-x11-drv-i810 packages and retest.
Comment 8 Uno Engborg 2009-01-06 11:23:45 EST
(In reply to comment #7)
> please update to the latest mesa/kernel/xorg-x11-drv-i810 packages and retest.

Works!
Thanks
Comment 9 Vedran Miletić 2009-09-21 10:34:39 EDT
Closing per comment #8.

Note You need to log in before you can comment on or make changes to this bug.